Bug 15934 - locale breaks translations
Summary: locale breaks translations
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard: Winston gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-10 18:15 UTC by Erik Troan
Modified: 2008-05-01 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 22:27:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Erik Troan 2000-08-10 18:15:18 UTC
[ewt@mercury comps]$ echo HELLO | LANG="" grep '[a-z]'
[ewt@mercury comps]$ echo HELLO | LANG="en_US" grep '[a-z]'
HELLO


This is really, really bad.

Comment 1 Jakub Jelinek 2000-08-11 08:29:41 UTC
That's what ISO/IEC 14651 mandates.
Basically, A comes right after a, then comes b, then B etc.
Talk to Ulrich if unsure.

Comment 2 Erik Troan 2000-08-11 15:01:25 UTC
In ENGLISH? This is absolutely insane, and is going to kill folks shell scripts.
If this is true, we
need to set the english locale to C, not en_US.

Jakub, please make sure this is true and tell us if we just can't use en_US
without frying shell
scripts.

Comment 3 Glen Foster 2000-08-16 22:27:11 UTC
This defect is considered MUST-FIX for Winston Gold release


Note You need to log in before you can comment on or make changes to this bug.